Subject: bug#24085: 25.1.50; `make-frame' given `top' param creates frame with ~10x smaller `top'

From: martin rudalics <[email-masked]>
Date: Thu, 28 Jul 2016 21:07:32 +0200

> 2. I thought that the code change responsible for this
 > (intentional) regression was the one you cited from 2006,
 > and I thought that was only for MS Windows (w32term.c), so
 > I thought that change would not have any effect on other
 > platforms.

There was no need.  The behavior on GNU/Linux preceded that on MS
Windows.  I can't tell about the behavior on other systems.

 > 3. Refusing to create a frame that is completely off screen
 > is one thing.  Refusing to create a frame that is even slightly
 > off screen (e.g. echo area) is another thing.  Is the former or
 > the latter what you were referring to (by "most window
 > managers...")?

Here xfce positions the frame exactly like Windows does, right above the
taskbar.  I have no idea whether this similarity was intentional.

martin